%global enable_tests 1
%global srcname fd-slicer

Name:           nodejs-%{srcname}
Version:        1.0.1
Release:        3%{?dist}
Summary:        Create multiple stream objects from the same file descriptor
License:        MIT
URL:            https://github.com/andrewrk/node-fd-slicer
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(pend)
BuildRequires:  npm(stream-equal)
BuildRequires:  npm(streamsink)
%endif

%description
Nodejs module to safely create multiple ReadStream or WriteStream objects from 
the same file descriptor.

%prep
%setup -q -n package
rm -rf node_modules/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha --reporter spec --check-leaks --timeout 10000
%endif


%files
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 14 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.0.1-2
- Increase timeout in test for slow builders

* Sun Mar  8 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.0.1-1
- Initial package
